#! /bin/bash

salut ()
{
	echo "Bonjour $1"
}

bye ()
{
	echo "Au revoir $1, content qu'on se soit croisé"
}

commentva ()
{
rep=0
while [ $rep -ne 1 -a $rep -ne 2 ]
do
	echo "ça va bien aujourd'hui ? (1 oui / 2 non) "
	read rep
done
if [ $rep -eq 1 ]
then
	return 0
else
	return 1
fi
}

salut $1

commentva 
if [ $? -eq 0 ]
then 
echo "Ah ben tant mieux ..."
else
echo "Bah, ça ira mieux demain ..."
fi

bye $1
